
From: Ingo Molnar <mingo@elte.hu>

the attached patch solves a 'init hang' problem i saw with the 4G/4G
patch. SEP is not fully implemented under 4G/4G and even though we disable
AT_SYSINFO, it still triggers problems ... so get rid of it explicitly.



 arch/i386/kernel/cpu/intel.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN arch/i386/kernel/cpu/intel.c~4g4g-sep-fix arch/i386/kernel/cpu/intel.c
--- 25/arch/i386/kernel/cpu/intel.c~4g4g-sep-fix	2003-12-20 06:49:58.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/intel.c	2003-12-20 06:49:58.000000000 -0800
@@ -242,6 +242,12 @@ static void __init init_intel(struct cpu
 	/* SEP CPUID bug: Pentium Pro reports SEP but doesn't have it until model 3 mask 3 */
 	if ((c->x86<<8 | c->x86_model<<4 | c->x86_mask) < 0x633)
 		clear_bit(X86_FEATURE_SEP, c->x86_capability);
+	/*
+	 * FIXME: SEP is disabled for 4G/4G for now:
+	 */
+#ifdef CONFIG_X86_HIGH_ENTRY
+	clear_bit(X86_FEATURE_SEP, c->x86_capability);
+#endif
 
 	/* Names for the Pentium II/Celeron processors 
 	   detectable only by also checking the cache size.

_
